For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inGet Paid
DocumentationAPI ReferenceCLI
DocumentationAPI ReferenceCLI
  • Introduction
    • Overview
  • API Reference
      • GETList orders
      • POSTCreate a new order
      • GETGet order
      • PUTUpdate order
      • DELDelete order
      • POSTActivate order
      • GETGet order lines
      • GETList seats
      • PUTAssign or unassign seat
      • POSTBatch assign seats
LogoLogo
Log inGet Paid
API Referenceorders

Batch assign seats

POST
https://api.agentpaid.io/api/v2/orders/:id/seat-assignments
POST
/api/v2/orders/:id/seat-assignments
1import { PaidClient } from "@paid-ai/paid-node";
2
3async function main() {
4 const client = new PaidClient({
5 token: "YOUR_TOKEN_HERE",
6 });
7 await client.orders.batchOrderSeatAssignments("id", {
8 assignments: [
9 {
10 seatId: "string",
11 userExternalId: "string",
12 },
13 ],
14 });
15}
16main();
1{
2 "data": [
3 {
4 "id": "string",
5 "orderId": "string",
6 "productExternalId": "string",
7 "status": "assigned",
8 "assignee": {
9 "id": "string",
10 "externalId": "string",
11 "email": "string"
12 },
13 "createdAt": "2024-01-15T09:30:00Z",
14 "updatedAt": "2024-01-15T09:30:00Z"
15 }
16 ]
17}
Assign or unassign seats in batch for an order
Was this page helpful?
Previous

List invoices

Next
Built with

Authentication

AuthorizationBearer
API Key authentication using Bearer token

Path parameters

idstringRequired

Request

Body
assignmentslist of objectsRequired

Response

200
datalist of objects

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error